Download OpenAPI specification:Download
This API uses OAuth2 Client Credentials flow. To obtain an access token, make a POST request to the token endpoint:
Token Request Example:
curl -X POST https://login.kount.com/oauth2/ausdppksgrbyM0abp357/v1/token \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Authorization: Basic {API KEY}" \
-d "grant_type=client_credentials&scope=k1_integration_api"
Required Parameters:
grant_type: Must be "client_credentials"scope: Must be "k1_integration_api"Use the returned access_token in API requests: Authorization: Bearer {access_token}
This method provides assessment or guidance based on the identity proofing request.
x-client-id: Unique client identifier.
Example: 1234567890x-correlation-id: Unique event identifier for tracking.
Example: 2438ac3c-37eb-4902-adef-ed16b4431030Content-Type: Request content type.application/jsonAuthorization: Bearer token for API access.Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...k1_integration_api) | strategy | string (Required) The name of the strategy. |
| inquiryId | string (Required) The unique identifier for the customer's case inquiry. |
| channel | string (Recommended) The unique identifier of the website or app and/or product where the inquiry originated. |
| deviceSessionId | string (Required) Unique identifier for the customer's end-user's session on the site app. Must be the same session ID used in the device data collection from the client-side Kount SDK. Uniqueness for this property is not enforced, but customers should provide unique values. |
| creationDateTime | string The date and time that the request was made. |
| userIp | string (Recommended) The subject's (end-user's) IPv4 address (in dotted decimal notation), as identified by the customer/merchant. |
object (v1Account) | |
object (v1Applicant) | |
object (v1CoApplicant) | |
object (v1Product) | |
object key-value pair fileds sent by customer | |
| memberId | string Member id of the customer |
{- "strategy": "StrategyWithoutStepup",
- "inquiryId": "511db65b-8a22-4daa-9320-98ff86371c6a",
- "channel": "DEFAULT",
- "deviceSessionId": "c12da910e8734aea856cd0fefb2be80d",
- "creationDateTime": "2006-01-02T15:04:05.000Z",
- "userIp": "147.146.254.32",
- "account": {
- "accountId": "123456",
- "type": "PROACCOUNT",
- "creationDateTime": "2006-01-02T15:04:05.000Z",
- "username": "applicant123",
- "accountIsActive": true
}, - "applicant": {
- "name": {
- "first": "John",
- "middle": "E",
- "last": "Smith",
- "secondLast": "",
- "suffix": "Mr.",
- "preferred": "John"
}, - "email": "john.smith@gmail.com",
- "phoneNumber": "18883784329",
- "addresses": [
- {
- "type": "HOME",
- "recency": "CURRENT",
- "line1": "123 Main St",
- "city": "Atlanta",
- "region": "GA",
- "countryCode": "US",
- "postalCode": "30309"
}
], - "governmentId": [
- {
- "type": "SSN",
- "value": "999999991",
- "countryCode": "1",
- "state": "GA",
- "issueDate": "2016-01-02",
- "expirationDate": "2028-01-02"
}
], - "employment": {
- "employeeTitle": "Software Engineer",
- "startDate": "2019-08-24",
- "currentEmployee": true,
- "contractType": "FULL_TIME",
- "employer": {
- "name": "Equifax",
- "address": {
- "type": "HOME",
- "recency": "CURRENT",
- "line1": "1550 Peachtree St NE",
- "city": "Atlanta",
- "region": "GA",
- "countryCode": "US",
- "postalCode": "30309"
}
}
}, - "income": {
- "period": "ANNUAL",
- "amount": "5000",
- "currency": "USD"
}, - "dateOfBirth": "2024-02-02"
}, - "coApplicant": {
- "name": {
- "first": "John",
- "middle": "E",
- "last": "Smith",
- "secondLast": "",
- "suffix": "Mr.",
- "preferred": "John"
}, - "email": "jsmith@yahoo.com",
- "phoneNumber": "14901234561",
- "addresses": [
- {
- "type": "HOME",
- "recency": "CURRENT",
- "line1": "123 Main St",
- "city": "Atlanta",
- "region": "GA",
- "countryCode": "US",
- "postalCode": "30309"
}
], - "governmentId": [
- {
- "type": "SSN",
- "value": "999999991",
- "countryCode": "1",
- "state": "GA",
- "issueDate": "2016-01-02",
- "expirationDate": "2028-01-02"
}
], - "employment": {
- "employeeTitle": "Software Engineer",
- "startDate": "2019-08-24",
- "currentEmployee": true,
- "contractType": "FULL_TIME",
- "employer": {
- "name": "Equifax",
- "address": {
- "type": "HOME",
- "recency": "CURRENT",
- "line1": "1550 Peachtree St NE",
- "city": "Atlanta",
- "region": "GA",
- "countryCode": "US",
- "postalCode": "30309"
}
}
}, - "income": {
- "period": "ANNUAL",
- "amount": "5000",
- "currency": "USD"
}, - "dateOfBirth": "2000-01-01"
}, - "product": {
- "productName": "abc",
- "productType": "identity proofing",
- "productId": "123abc",
- "requestedAmount": "100",
- "status": "current"
}, - "customFields": {
- "testKey": "testValue"
}, - "memberId": "123456"
}{- "inquiryId": "223db65b-8a22-4daa-9320-98ff86371d8f",
- "authenticationId": "74da67ab-1c80-431c-8249-91344c5fa778",
- "deviceSessionId": "c12da910e8734aea856cd0fefb2be80d",
- "decision": "Challenge",
- "userSegment": "Default",
- "tags": [
- "string"
], - "scoreCards": [
- {
- "name": "string",
- "description": "string",
- "segmentCount": "10",
- "policyCount": "10",
- "weight": "10",
- "activeSegmentCount": "10",
- "activePolicyCount": "10"
}
], - "deviceId": "123456abc12345",
- "entityId": "testEntity",
- "insights": {
- "applicant": {
- "identityTrust": "Y",
- "identityVerification": "Y",
- "identityVerificationReason": "identityNoMatch",
- "identityResolution": "Y",
- "identityResolutionReason": "identityMediumCorroboration",
- "identityRisk": "N",
- "identityRiskReason": "identityRiskMedium",
- "phoneTrust": "Y",
- "phoneVerification": "Y",
- "phoneVerificationReason": "phoneNoMatch",
- "phoneAffiliation": "Y",
- "phoneAffiliationReason": "phoneMediumCorroboration",
- "phoneInsights": "N",
- "phoneInsightsReason": "phoneUseRisk,phoneIsNotActiveRisk",
- "phoneRisk": "N",
- "emailTrust": "Y",
- "emailVerification": "Y",
- "emailVerificationReason": "emailNoMatch",
- "emailAffiliation": "Y",
- "emailAffiliationReason": "accountNameFullMatch",
- "emailInsights": "N",
- "emailInsightsReason": "emailUseRisk,emailIsNotActiveRisk",
- "emailRisk": "N",
- "SSNTrust": "Y",
- "SSNVerification": "Y",
- "SSNVerificationReason": "SSN Found",
- "SSNAffiliation": "N",
- "SSNAffiliationReason": "No SSN Affiliation",
- "SSNInsights": "N",
- "SSNInsightsReason": "",
- "SSNRisk": "N",
- "addressTrust": "Y",
- "addressVerification": "N",
- "addressVerificationReason": "Unverifiable",
- "addressAffiliation": "N",
- "addressAffiliationReason": "addressPhoneNoMatch,addressEmailNoMatch,addressNameNoMatch,addressNoMatch",
- "addressRisk": "N",
- "addressInsights": "Y",
- "addressInsightsReason": "NoInsightsReturned",
- "dobTrust": "Y",
- "dobVerification": "N",
- "dobVerificationReason": "DOB Not Verified",
- "dobAffiliation": "N",
- "dobAffiliationReason": "No Data Found",
- "dobInsights": "Y",
- "dobInsightsReason": "NoInsightsReturned",
- "deceased": "N",
- "riskAssessment": "Review"
}, - "coApplicant": {
- "identityTrust": "Y",
- "identityVerification": "Y",
- "identityVerificationReason": "identityNoMatch",
- "identityResolution": "Y",
- "identityResolutionReason": "identityMediumCorroboration",
- "identityRisk": "N",
- "identityRiskReason": "identityRiskMedium",
- "phoneTrust": "Y",
- "phoneVerification": "Y",
- "phoneVerificationReason": "phoneNoMatch",
- "phoneAffiliation": "Y",
- "phoneAffiliationReason": "phoneMediumCorroboration",
- "phoneInsights": "N",
- "phoneInsightsReason": "phoneUseRisk,phoneIsNotActiveRisk",
- "phoneRisk": "N",
- "emailTrust": "Y",
- "emailVerification": "Y",
- "emailVerificationReason": "emailNoMatch",
- "emailAffiliation": "Y",
- "emailAffiliationReason": "accountNameFullMatch",
- "emailInsights": "N",
- "emailInsightsReason": "emailUseRisk,emailIsNotActiveRisk",
- "emailRisk": "N",
- "SSNTrust": "Y",
- "SSNVerification": "Y",
- "SSNVerificationReason": "SSN Found",
- "SSNAffiliation": "N",
- "SSNAffiliationReason": "No SSN Affiliation",
- "SSNInsights": "N",
- "SSNInsightsReason": "",
- "SSNRisk": "N",
- "addressTrust": "Y",
- "addressVerification": "N",
- "addressVerificationReason": "Unverifiable",
- "addressAffiliation": "N",
- "addressAffiliationReason": "addressPhoneNoMatch,addressEmailNoMatch,addressNameNoMatch,addressNoMatch",
- "addressRisk": "N",
- "addressInsights": "Y",
- "addressInsightsReason": "NoInsightsReturned",
- "dobTrust": "Y",
- "dobVerification": "N",
- "dobVerificationReason": "DOB Not Verified",
- "dobAffiliation": "N",
- "dobAffiliationReason": "No Data Found",
- "dobInsights": "Y",
- "dobInsightsReason": "NoInsightsReturned",
- "deceased": "N",
- "riskAssessment": "Review"
}, - "identityVerification": {
- "identityTrust": "Y",
- "identityVerification": "Y",
- "identityVerificationReason": "identityNoMatch",
- "identityResolution": "Y",
- "identityResolutionReason": "identityMediumCorroboration",
- "identityRisk": "N",
- "identityRiskReason": "identityRiskMedium",
- "phoneTrust": "Y",
- "phoneVerification": "Y",
- "phoneVerificationReason": "phoneNoMatch",
- "phoneAffiliation": "Y",
- "phoneAffiliationReason": "phoneMediumCorroboration",
- "phoneInsights": "N",
- "phoneInsightsReason": "phoneUseRisk,phoneIsNotActiveRisk",
- "phoneRisk": "N",
- "emailTrust": "Y",
- "emailVerification": "Y",
- "emailVerificationReason": "emailNoMatch",
- "emailAffiliation": "Y",
- "emailAffiliationReason": "accountNameFullMatch",
- "emailInsights": "N",
- "emailInsightsReason": "emailUseRisk,emailIsNotActiveRisk",
- "emailRisk": "N",
- "SSNTrust": "Y",
- "SSNVerification": "Y",
- "SSNVerificationReason": "SSN Found",
- "SSNAffiliation": "N",
- "SSNAffiliationReason": "No SSN Affiliation",
- "SSNInsights": "N",
- "SSNInsightsReason": "",
- "SSNRisk": "N",
- "addressTrust": "Y",
- "addressVerification": "N",
- "addressVerificationReason": "Unverifiable",
- "addressAffiliation": "N",
- "addressAffiliationReason": "addressPhoneNoMatch,addressEmailNoMatch,addressNameNoMatch,addressNoMatch",
- "addressRisk": "N",
- "addressInsights": "Y",
- "addressInsightsReason": "NoInsightsReturned",
- "dobTrust": "Y",
- "dobVerification": "N",
- "dobVerificationReason": "DOB Not Verified",
- "dobAffiliation": "N",
- "dobAffiliationReason": "No Data Found",
- "dobInsights": "Y",
- "dobInsightsReason": "NoInsightsReturned",
- "deceased": "N",
- "riskAssessment": "Review"
}, - "syntheticId": {
- "finalAssessment": "Y",
- "assessmentLevel": "4",
- "sharedSsn": "Y",
- "verifiedSsn": "Y",
- "invalidSsn": "Y",
- "sharedAddress": "Y",
- "identityConfirmation1": "N",
- "identityConfirmation2": "N",
- "creditInquiryBehavior": "Y",
- "deathMaster": "Y",
- "authorizedUserVelocity": "Y",
- "identityDiscrepancy": "Y",
- "activeAuthorizedUsers": "2",
- "terminatedUsers": "1",
- "identityConfirmationBehavior": "Y",
- "score": "484",
- "ssnVelocityFlag": "Y",
- "elderAbuseFlag": "Y",
- "dormantIdentityFlag": "Y",
- "syntheticIdentityRisk": "Y",
- "propertyOwner": "N",
- "household": "N",
- "ssnVelocity": "Y",
- "elderAbuse": "Y",
- "dormantIdentity": "Y"
}, - "regulatoryPackage": {
- "addressStorageFacility": "Address is a storage facility",
- "addressCheckCashingFacility": "Address is a check cashing facility",
- "addressMilitaryPOBox": "Address is a military PO box",
- "addressPostOffice": "Address is a US post office",
- "addressCampground": "Address is a campground",
- "addressHotelMotel": "Address is a hotel or motel",
- "addressMailReceivingService": "Address is a mail receiving service",
- "fraudVictimInformationBlocked": "Fraud Victim Indicator present or information has been blocked due to identity theft",
- "creditFileFrozen": "Consumer requested security freeze on credit file",
- "ssnMisuse": "SSN has reported misuse",
- "addressPrison": "Address is a state or federal prison or detention facility",
- "addressMisuse": "Address has reported misuse",
- "addressMultiDwelling": "Address listed as a multi-dwelling unit",
- "PossibleItin": "Possible ITIN (Individual Taxpayer Identification Number)",
- "potentialFraudIndicator": "Inquiry field has been identified as potentially fraudulent or misused",
- "activeMilitary": "Active military duty alert present",
- "fraudVictimCAResident": "Fraud victim CA resident",
- "fraudVictimTemporary": "Fraud victim temporary fraud alert",
- "fraudVictimLongTerm": "Fraud victim long term fraud alert"
}
}, - "strategy": {
- "strategyName": "string",
- "description": "string",
- "status": "string",
- "actions": [
- {
- "method": "UNKNOWN_Verification_Method",
- "status": "string",
- "otpCallbackUri": "string",
- "data": {
- "questionnaireId": 0,
- "questions": [
- {
- "questionId": 0,
- "questionText": "string",
- "choiceType": {
- "type": "string"
}, - "choices": [
- {
- "choiceId": 0,
- "choiceText": "string"
}
]
}
], - "authentication": {
- "characteristics": [
- {
- "key": "string",
- "value": "string",
- "text": "string"
}
]
}
}, - "docVerificationLink": "string"
}
]
}, - "thirdPartyCalls": {
- "applicant": {
- "atDataResponse": {
- "risk": {
- "score": "0.5",
- "queryId": "1234567890",
- "tumblingRisk": "0.5",
- "ip": {
- "routingType": "ISP",
- "organization": "Google LLC",
- "latitude": "37.7749",
- "proxyType": "VPN",
- "hostingFacility": "true",
- "longitude": "-122.4194"
}, - "domain": {
- "domainRiskScore": "0"
}, - "postal": {
- "deliverability": "undeliverable",
- "addressType": "street",
- "lastNameMatch": "match",
- "firstNameMatch": "match",
- "deliverabilitySubstatus": "invalid_unclear",
- "zipMatch": "no_match",
- "cityMatch": "no_match",
- "streetMatch": "no_match",
- "ipPostalDistance": "less than 5 miles"
}, - "phone": {
- "lineType": "landline",
- "carrier": "Verizon",
- "status": "active",
- "prepaid": "true",
- "owner": {
- "firstNameMatch": "match",
- "lastNameMatch": "match",
- "streetMatch": "no_match",
- "cityMatch": "no_match",
- "zipMatch": "no_match",
- "type": "individual"
}
}
}, - "eam": {
- "longevity": "3",
- "velocity": "10",
- "dateFirstSeen": "2023-01-01",
- "popularity": "10"
}, - "dam": {
- "longevity": "3",
- "velocity": "10",
- "dateFirstSeen": "2023-01-01",
- "popularity": "10"
}, - "emailValidation": {
- "domainType": "generic",
- "statusCode": "freeisp",
- "address": "test@gmail.com",
- "status": "invalid",
- "roleAccount": "true"
}
}, - "employeeData": {
- "employeeNames": [
- "string"
], - "phoneNumbers": [
- "string"
], - "emailAddresses": [
- "string"
], - "employeeAddresses": [
- {
- "addressType": "string",
- "addressLine1": "string",
- "addressLine2": "string",
- "addressLine3": "string",
- "cityName": "string",
- "stateCode": "string",
- "postalCode": "string"
}
], - "dateOfBirths": [
- "string"
]
}
}, - "coApplicant": {
- "atDataResponse": {
- "risk": {
- "score": "0.5",
- "queryId": "1234567890",
- "tumblingRisk": "0.5",
- "ip": {
- "routingType": "ISP",
- "organization": "Google LLC",
- "latitude": "37.7749",
- "proxyType": "VPN",
- "hostingFacility": "true",
- "longitude": "-122.4194"
}, - "domain": {
- "domainRiskScore": "0"
}, - "postal": {
- "deliverability": "undeliverable",
- "addressType": "street",
- "lastNameMatch": "match",
- "firstNameMatch": "match",
- "deliverabilitySubstatus": "invalid_unclear",
- "zipMatch": "no_match",
- "cityMatch": "no_match",
- "streetMatch": "no_match",
- "ipPostalDistance": "less than 5 miles"
}, - "phone": {
- "lineType": "landline",
- "carrier": "Verizon",
- "status": "active",
- "prepaid": "true",
- "owner": {
- "firstNameMatch": "match",
- "lastNameMatch": "match",
- "streetMatch": "no_match",
- "cityMatch": "no_match",
- "zipMatch": "no_match",
- "type": "individual"
}
}
}, - "eam": {
- "longevity": "3",
- "velocity": "10",
- "dateFirstSeen": "2023-01-01",
- "popularity": "10"
}, - "dam": {
- "longevity": "3",
- "velocity": "10",
- "dateFirstSeen": "2023-01-01",
- "popularity": "10"
}, - "emailValidation": {
- "domainType": "generic",
- "statusCode": "freeisp",
- "address": "test@gmail.com",
- "status": "invalid",
- "roleAccount": "true"
}
}, - "employeeData": {
- "employeeNames": [
- "string"
], - "phoneNumbers": [
- "string"
], - "emailAddresses": [
- "string"
], - "employeeAddresses": [
- {
- "addressType": "string",
- "addressLine1": "string",
- "addressLine2": "string",
- "addressLine3": "string",
- "cityName": "string",
- "stateCode": "string",
- "postalCode": "string"
}
], - "dateOfBirths": [
- "string"
]
}
}
}, - "errorResponses": {
- "property1": null,
- "property2": null
}, - "status": "string",
- "message": "string",
- "applicantCustomerIdentifier": "string",
- "coApplicantCustomerIdentifier": "string"
}This method provides document-based verification for identity proofing.
x-client-id: Unique client identifier.
Example: 1234567890x-correlation-id: Unique event identifier for tracking.
Example: 2438ac3c-37eb-4902-adef-ed16b4431030Content-Type: Request content type.application/jsonAuthorization: Bearer token for API access.Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...k1_integration_api) | inquiryId | string The inquiry Id |
| strategy | string Strategy Name |
| phoneNumber | string It's an Optional Field. |
{- "inquiryId": "inquiryId123",
- "strategy": "StrategyWithStepup_DOC",
- "phoneNumber": "123-456-7890"
}{- "inquiryId": "12345",
- "authenticationId": "ed66c7b0-8114-41fe-98d3-ffa6d3f095e5",
- "status": "success",
- "message": "Document verification initiated",
}This method fetches document verification records based on query parameters.
x-client-id: Unique client identifier.
Example: 1234567890x-correlation-id: Unique event identifier for tracking.
Example: 2438ac3c-37eb-4902-adef-ed16b4431030Content-Type: Request content type.application/jsonAuthorization: Bearer token for API access.Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...| authenticationId required | string The unique, customer-generated identifier for the consumer’s original case inquiry |
| data | string ocrData, scoreData, imageData, all Type of data to retrieve |
{- "authenticationId": "ed66c7b0-8114-41fe-98d3-ffa6d3f095e5",
- "ocrData": { },
- "scoreData": { },
- "imageData": { }
}This method updates the case based on the verification results.
x-client-id: Unique client identifier.
Example: 1234567890x-correlation-id: Unique event identifier for tracking.
Example: 2438ac3c-37eb-4902-adef-ed16b4431030Content-Type: Request content type.application/jsonAuthorization: Bearer token for API access.Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...| inquiryId | string (Required) The unique, customer-generated identifier for the consumer’s original case inquiry. This should map to the original assessment that is being updated |
| authenticationId | string (Required) A Kount 360 unique identifier returned in the body of the original assessment. This may also called the case ID. |
| decision | string (ALLOW, DENY, CHALLENGE, REVIEW) The updated case decision. If no value is given, the decision will remain in its current state. |
| tags | Array of strings Array of tags to be appended to the case. This is not validated against existing tags in the case management. |
| notes | string Notes related to the verification |
| externalAgent | string Reference to an agent or representative handling the case. This is not validated to internal Kount360 Portal users. |
| queue | string The queue to which the case is to be assigned. This is validated against existing queues. If the designated queue does not exist, no change the queue assignment will be made |
| verifiedFraud | boolean Indicator for reporting purposes that the case was verified as a fraudulent transaction |
| rejectionCode | string A code identifying which rejection code will be assigned to the case. This code is validated against rejection codes created within the K360 Portal. If unable to validate, no rejection code change or assignment will be made to the case |
{- "inquiryId": "223db65b-8a22-4daa-9320-98ff86371d8f",
- "authenticationId": "427e798a-835e-452f-ba0e-ad355d7fc604",
- "decision": "Allow",
- "tags": [
- "tag1",
- "tag2"
], - "notes": "passed document verification",
- "externalAgent": "autogenerated",
- "queue": "investigation",
- "verifiedFraud": false,
- "rejectionCode": "AC10"
}{- "inquiryId": "223db65b-8a22-4daa-9320-98ff86371d8f",
- "correlationId": "a43db65b-8a22-4daa-9320-98ff86371c89",
- "message": "successfully updated",
- "error": {
- "code": "400",
- "message": "Invalid request",
- "cause": "Invalid inquiryId"
}
}